## hw-detect 1.146

=== debian/changelog ===
hw-detect (1.146) unstable; urgency=medium

  * Make the install-firmware script check both /firmware (PXE) and
    /cdrom/firmware (ISO) for patterns extracted from DEP-11 metadata,
    like check-missing-firmware does.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 28 Jul 2021 00:46:22 +0200

hw-detect (1.145) unstable; urgency=medium

  * Drop firmware-map file and surrounding logic: it never went further
    than a proof-of-concept, and we're approaching the firmware problem
    differently now (see: #989863).
  * If /firmware/dep11 is present (which should be the case starting with
    D-I Bullseye RC 3, for firmware-enabled images), query the udev
    database, extract modalias information, and use the patterns available
    under that directory to figure out which firmware packages might be
    helpful. Copy the relevant /firmware/<package>_*.deb files under
    /var/cache/firmware, and let the existing code enable non-free in
    apt-setup and install those packages in /target (see: #989863).
  * Check the actual module behind a given driver, since there might be a
    slight mismatch between the name coming up in dmesg (e.g. rtw_8821ce)
    and the actual module name (e.g. rtw88_8821ce). With many thanks to
    Daniel Lewart for the original patch (Closes: #973733).
  * Uniquify module list earlier in check-missing-firmware, to avoid
    repeating n times the same module if it requests n firmware files
    (e.g. iwlwifi).
  * Finally stop looking into the obsolete /dev/.udev/firmware-missing and
    /run/udev/firmware-missing locations, which were obsoleted upstream
    (udev) in 2013. This only generates noise in the installer's syslog.
  * When resuming parsing dmesg from a timestamp, just mention the
    timestamp in the log instead of the actual pattern, for better
    readability.
  * Set udevdir to /lib/udev/rules.d (instead of /etc/udev/rules.d), to
    appease lintian (udev-rule-in-etc).
  * Ignore iwl-debug-yoyo.bin requested by iwlwifi as it seems to be about
    debugging, it doesn't seem actually required, and it's not packaged
    anyway (see: #969264, 966218).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 27 Jul 2021 02:26:23 +0200

## hw-detect 1.147

=== debian/changelog ===
hw-detect (1.147) unstable; urgency=medium

  * Add support for CHECK_MISSING_FIRMWARE=0 to hw-detect. This makes it
    possible for some callers (e.g. cdrom-detect, maybe iso-scan too) to
    avoid triggering firmware-related prompts when it's too early in the
    installation process to do anything about it (See: #991587, #991590).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 28 Jul 2021 09:05:05 +0200

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect
Vcs-Git: https://salsa.debian.org/installer-team/hw-detect.git

Package: hw-detect
Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.73), pciutils-udeb, udpkg (>= 1.14)
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb,
	 harddrive-detection-dasd [s390x],
	 harddrive-detection-zfcp [s390x]
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, mountmedia
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.147A~5.1.0.202303091659

=== debian/changelog ===
hw-detect (1.147A~5.1.0.202303091659) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35731-Require-at-least-one-Ethernet-interface
    0002-Bug-42853-Added-french-language

 -- Univention builddaemon <buildd@univention.de>  Thu, 09 Mar 2023 16:59:49 +0100

## hw-detect 1.147%2B11.0trisquel1

=== debian/changelog ===
hw-detect (1.147+11.0trisquel1) aramo; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Oct 2022 21:48:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
 Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect

## hw-detect 1.150

=== debian/changelog ===
hw-detect (1.150) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Remove experimental dmraid support.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 04 Aug 2022 17:54:03 +0200

hw-detect (1.149) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Add missing changelog entry for 1.148

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for hw-detect, ethdetect,
    disk-detect, driver-injection-disk-detect, archdetect.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev,
      libdebian-installer4-dev and po-debconf.
    + hw-detect: Drop versioned constraint on cdebconf-udeb, di-utils, rootskel
      and udpkg in Depends.
    + ethdetect: Drop versioned constraint on cdebconf-udeb, di-utils and
      rootskel in Depends.
    + disk-detect: Drop versioned constraint on cdebconf-udeb and di-utils in
      Depends.
    + driver-injection-disk-detect: Drop versioned constraint on cdebconf-udeb
      in Depends.

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert
  * Vietnamese (vi.po) by Trần Ngọc Quân
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Jul 2022 16:33:50 +0200

hw-detect (1.148) unstable; urgency=medium

  * Team upload

  [ Frédéric Bonnard ]
  * install opal-prd package on OpenPOWER machines.

  [ Samuel Thibault ]
  * Make gbp produce the right tag format

  [ Holger Wansing ]
  * Path /etc/pcmcia/ has been moved to /etc/pcmciautils/ (see #980271).
    Update the template accordingly.
    + Syncing translations.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Jan 2022 17:02:34 +0100

## hw-detect 1.151

=== debian/changelog ===
hw-detect (1.151) unstable; urgency=medium

  * Team upload

  * Revert template change in v1.148 (that changed /etc/pcmcia/ path into
    /etc/pcmciautils/), which was done by error. Closes: #1020535.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 09 Oct 2022 17:34:19 +0200

## hw-detect 1.152

=== debian/changelog ===
hw-detect (1.152) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Japanese (ja.po) by Norimitsu SUGIMOTO

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 01 Jan 2023 12:38:26 +0100

## hw-detect 1.153

=== debian/changelog ===
hw-detect (1.153) unstable; urgency=medium

  * Add initial support for non-free-firmware, following the 2022 General
    Resolution about non-free firmware:
     - Implement firmware lookup using Contents-firmware indices. Those
       are produced by debian-cd when including firmware packages onto
       installation images, and they make it possible to map firmware
       files requested by the kernel to firmware packages and the
       components they were found in. When performing a search in a
       directory that doesn't include such Contents-firmware index, the
       already-existing code is used as a fallback, checking the contents
       of each and every *.deb package in that directory; in that case,
       the component is deduced from the Section field of the package.
     - Add support for *.component files when installing firmware packages
       based on modalias information. Those are generated alongside the
       existing *.patterns files (built from DEP-11/AppStream metadata)
       by debian-cd when including firmware packages onto installation
       images, and make it possible to map firmware packages to the
       components they were found in.
     - Use the aforementioned mechanisms to establish a list of components
       from which firmware packages were installed, making it possible to
       enable the relevant apt-setup/$component parameters (among contrib,
       non-free, and non-free-firmware). This makes sure the package
       manager's configuration includes the right components, so that
       those firmware packages can be upgraded like any other regular
       packages.
     - The end results should be official installation images with
       packages only from main and non-free-firmware (without contrib or
       non-free which used to be present in some unofficial images
       including firmware packages), configuring the installed system with
       the main component and possibly the non-free-firmware one when some
       firmare packages are needed.
  * Add a special case for the usb module: when the module requesting
    firmware files is “usb”, search the USB bus using port and device
    information to find the underlying device and the module managing
    it. Using a Realtek-based Wi-Fi dongle connected over USB as an
    example: this makes it possible to trade “usb 4-1.5” found in dmesg
    for “rtl8192cu”. Instead of trying to unload/reload the usb and
    usbcore modules (which might not even be feasible), the relevant
    network module gets reloaded instead, which should make it request its
    firmware files again, and maybe find them if some firmware packages
    have just been installed. If the lookup fails, stick to “usb”; the
    existing link up/down dance implemented by upnics (see below) might be
    sufficient for firmware files to be requested again.
  * Tweak the upnics function, trying to stop it from killing any network
    configuration that might have been set up by users, manually or via
    preseed (with many thanks to Nicolas Dandrimont):
     - Historically, to make sure network modules request the firmware
       files they might require (this might not happen at the time the
       module is loaded), each interface is brought up and down.
     - Instead, only perform the link up/down dance for interfaces that
       aren't up already (working under the assumption that their being up
       is the result of user actions, as a previous upnics call would have
       left interfaces down) and that aren't associated with a master
       interface (that happens when bonding is configured).
  * Delete support for loading udeb firmware packages (*.udeb or *.ude
    depending on the filesystem), focus on loading regular deb firmware
    packages instead. Yes, such udeb firmware packages existed… in Etch!
  * Temporarily delete support for searching firmware on external media:
     - users have always struggled with preparing such media;
     - the lookup doesn't work sufficiently well;
     - and since non-free firmware can be included directly into official
       installation images, this feature should be much less useful
       anyway.
    A detailed rationale can be found in #1029543, feedback is welcome!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 24 Jan 2023 05:12:46 +0000

## hw-detect 1.154

=== debian/changelog ===
hw-detect (1.154) unstable; urgency=medium

  * Implement support for the hw-detect/firmware-lookup=never setting
    (Closes: #1029848):
     - It can be set on the kernel command line or via preseed.
     - It can be set via the firmware=never alias.
     - It changes check-missing-firmware's behaviour:
        + It will still scan kernel logs for missing firmware files, and
          generate log lines accordingly.
        + It will not try to load firmware packages from the installation
          image, even if firmware packages are included (as that's the
          case for official installation images starting with Bookworm).
        + It will not ask whether to load firmware from removable media.
     - It changes install-firmware's behaviour:
        + It will not copy any firmware files into the installed system.
        + It will not try to install firmware packages based on modalias
          information.
  * Reinstate “mountmedia” and “mountmedia driver” calls, even if use
    cases haven't been clarified yet (See: #1029543); but skip them during
    the first iteration:
     - The “Load missing firmware from removable media?” question hasn't
       been asked yet, so that seems better consistency-wise.
     - If firmware is found in /firmware or /cdrom/firmware, which is
       likely now that installation images include packages from
       non-free-firmware, the first iteration might be sufficient and
       skipping those calls means an improved user experience (less
       waiting).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Jan 2023 02:36:59 +0100

## hw-detect 1.155

=== debian/changelog ===
hw-detect (1.155) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Deduplicate the list of requested firmware files, not just the list of
    requesting modules (Closes: #1031631).
  * Implement microcode support when /proc/cpuinfo contains a vendor_id
    field, with one of the following values (Closes: #1029804):
     - Install amd64-microcode on AuthenticAMD.
     - Install intel-microcode on GenuineIntel.
     - Enable non-free-firmware accordingly.
     - Perform installation via finish-install, making sure apt-setup has
       been configured, and using apt-install for dependency resolution.
  * Optimize firmware package installation: process dpkg triggers once,
    after all packages have been installed (i.e. install-firmware only
    triggers a single update-initramfs call).
  * Fix condition around moutmedia calls (See: #1032377).
  * Fix files removal for non-accepted firmware packages (See: #1032377).
  * Add a special case for the mhi module: when the module requesting
    firmware files is “mhi”, use the modules listed as holders (e.g.
    ath11k_pci and qrtr_mhi). This is less precise than the usb special
    case, since /sys/bus/mhi/devices/<device> gives no hints as to which
    network module would be involved (See: #1032140). Thanks to Nicolas
    Dandrimont and Benoît Chauvet for the tests.
  * Adjust dmesg timestamp management: only update the timestamp file if
    there are new lines.
  * Fix package name extraction when removing a firmware package (e.g.
    it failed to install because it was corrupted). Regression in 1.153,
    spotted in #1032970.
  * Build /var/log/firmware-summary as a 3-column summary of firmware (and
    microcode) packages getting installed (Closes: #1029849). Those three
    columns are: package, component, and reason. The reason might be dmesg
    (check-missing-firmware), modalias (install-firmware hook), or cpu
    (install-firmware hook).

  [ Pascal Hambourg ]
  * Fix several glitches (Closes: #1033035):
     - Fix removal of temporary files in /target after installing firmware
       packages (they're in /tmp so the next reboot has been doing the
       trick until now).
     - Determine the package name by using the Package field instead of
       trusting the filename when installing firmware packages.
     - Make sure not to include the possible -n option when setting the
       IFACES variables in check-missing-firmware.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 22 Mar 2023 20:31:11 +0100

## hw-detect 1.156

=== debian/changelog ===
hw-detect (1.156) unstable; urgency=medium

  [ Updated translations ]
  * Macedonian (mk.po) by Kristijan Fremen Velkovski

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:39:26 +0200

## hw-detect 1.157

=== debian/changelog ===
hw-detect (1.157) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Kjetil Sørlund
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 09 May 2023 21:59:55 +0200

## hw-detect 1.158

=== debian/changelog ===
hw-detect (1.158) unstable; urgency=medium

  [ Pascal Hambourg ]
  * Restore support for firmware license prompts (Closes: #1033921).

  [ Cyril Brulebois ]
  * Pick Pascal's minimal patch (duplicating standard input) to implement
    the aforementioned fix for Bookworm, and postpone reworking the loop
    until the next development cycle begins (See: #1035356, #1029843).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 May 2023 23:14:28 +0200

## hw-detect 1.159

=== debian/changelog ===
hw-detect (1.159) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 23 May 2023 22:22:00 +0200

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf, libdebian-installer4-dev
Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect
Vcs-Git: https://salsa.debian.org/installer-team/hw-detect.git

Package: hw-detect
Package-Type: udeb
Architecture: any
Depends: rootskel, archdetect, cdebconf-udeb, di-utils, pciutils-udeb, udpkg, ${misc:Depends}
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel, cdebconf-udeb, hw-detect, di-utils, pciutils-udeb, ${misc:Depends}
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb, hw-detect, di-utils, pciutils-udeb,
	 harddrive-detection-dasd [s390x],
	 harddrive-detection-zfcp [s390x],
	 ${misc:Depends}
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb, hw-detect, mountmedia, ${misc:Depends}
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hardware architecture detector

## hw-detect 1.159A~5.2.0.202310271404

=== debian/changelog ===
hw-detect (1.159A~5.2.0.202310271404) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35731-Require-at-least-one-Ethernet-interface.patch
    0002-Bug-42853-Added-french-language.patch

 -- Univention builddaemon <buildd@univention.de>  Fri, 27 Oct 2023 14:10:48 +0200

## hw-detect 1.162

=== debian/changelog ===
hw-detect (1.162) unstable; urgency=medium

  * Team upload

  [ Michael Biebl ]
  * Remove obsolete discover related files/dependencies

  [ Carsten Schoenert ]
  * Fix reload of iwlwifi module (Closes: #1006708)

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 10 Sep 2024 21:07:48 +0200

hw-detect (1.161) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hindi (hi.po) by Scrambled777
  * Hungarian (hu.po) by SZERVÁC Attila
  * Marathi (mr.po) by omwani
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 May 2024 19:17:07 +0200

hw-detect (1.160) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Milo Ivir
  * Romanian (ro.po) by NicolaeFericitu

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Sep 2023 22:25:39 +0200

## hw-detect 1.164

=== debian/changelog ===
hw-detect (1.164) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 23:19:43 +0100

hw-detect (1.163) unstable; urgency=medium

  [ Updated translations ]
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:40:17 +0100

## hw-detect 1.165

=== debian/changelog ===
hw-detect (1.165) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Traditional Chinese (zh_TW.po) by reimu105

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 06 Feb 2025 22:03:09 +0100

## hw-detect 1.166

=== debian/changelog ===
hw-detect (1.166) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 12:05:00 +0200

## hw-detect 1.167

=== debian/changelog ===
hw-detect (1.167) unstable; urgency=medium

  * Team upload

  [ Roland Clobus ]
  * ethdetect: Allow commas in the description of modules. Closes: #1090738.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 06 Apr 2025 21:04:41 +0200

## hw-detect 1.167trisquel2

=== debian/changelog ===
hw-detect (1.167trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 20 Apr 2025 01:43:54 +0000

## hw-detect 1.168

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

CC = gcc
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif
CPPFLAGS =
CFLAGS = -W -Wall -Os -g
CFLAGS_ARCH = -DCPU_TEXT='"$(DEB_HOST_ARCH)"'

# Use hardening flags too
CFLAGS += `dpkg-buildflags --get CFLAGS`
CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`

bindir=$(DESTDIR)/bin/
hpdir=$(DESTDIR)/etc/hotplug.d
netdir=$(DESTDIR)/etc/network
udevdir=$(DESTDIR)/lib/udev/rules.d
didir=$(DESTDIR)/lib/debian-installer.d
fidir=$(DESTDIR)/usr/lib/finish-install.d
sharedir=$(DESTDIR)/usr/share/hw-detect/
postbaseinstallerdir=$(DESTDIR)/usr/lib/post-base-installer.d/
prepkgseldir=$(DESTDIR)/usr/lib/pre-pkgsel.d/
man1dir=$(DESTDIR)/usr/share/man/man1

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect devnames-static.gz

test:
	set -e; for sh in *.sh; do sh -n $$sh; done

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect
	rm -f devnames-static.gz

install: install-hw-detect install-ethdetect install-disk-detect install-driver-injection-disk-detect install-archdetect install-archdetect-deb

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
	$(INSTALL) -d $(udevdir)
	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
	$(INSTALL) check-missing-firmware.sh $(bindir)/check-missing-firmware
	$(INSTALL) -d $(postbaseinstallerdir)
	$(INSTALL) hw-detect.post-base-installer.d/* $(postbaseinstallerdir)
	$(INSTALL) -d $(prepkgseldir)
	$(INSTALL) hw-detect.pre-pkgsel.d/* $(prepkgseldir)
	$(INSTALL) -d $(hpdir)/net
	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
	$(INSTALL) -d $(fidir)
	$(INSTALL) hw-detect.finish-install.d/* $(fidir)
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	$(INSTALL) discover-sbus.sh $(bindir)/discover-sbus
	$(INSTALL) -d $(sharedir)
	$(INSTALL_DATA) sbus.list $(sharedir)/sbus.list
endif
else
	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
endif

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir) $(netdir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect
	$(INSTALL) -m644 devnames-static.gz $(netdir)/

install-disk-detect: disk-detect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) disk-detect.sh $(bindir)/disk-detect

install-driver-injection-disk-detect: driver-injection-disk.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) driver-injection-disk.sh $(bindir)/driver-injection-disk

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

install-archdetect-deb: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)
	$(INSTALL) -d $(man1dir)
	$(INSTALL) archdetect.1 $(man1dir)

archdetect: archdetect.o 
	${CC} ${LDFLAGS} -o $@ $^ -ldebian-installer

archdetect.o: %.o:%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_ARCH) -c $<

devnames-static.gz: devnames-static.txt
	grep -v '^#' $< | gzip -9cn > $@

=== debian/changelog ===
hw-detect (1.168) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Install spice-vdagent under qemu/kvm if we are installing a desktop
    (i.e. if xserver-xorg-core or task-desktop are installed).
    Closes: #986500.

  [ Pascal Hambourg ]
  * Ignore renesas_usb_fw.mem requested by xhci-pci-renesas when falling
    back to the ROM. Devices might already work at this point, and a
    reload would risk making them disappear all of a sudden. This can
    catastrophic if that affects the installation medium! See: #1105000.

  [ Cyril Brulebois ]
  * Congratulations to Felix Crux for the very detailed bug report
    mentioned above!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 May 2025 20:11:05 +0200

## hw-detect 1.169

=== debian/changelog ===
hw-detect (1.169) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Tamil (ta.po) by anishprabu.t
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 27 Jun 2025 16:03:40 +0200

## hw-detect 1.169trisquel2

=== debian/changelog ===
hw-detect (1.169trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 00:52:24 +0000

## hw-detect 1.170

=== debian/changelog ===
hw-detect (1.170) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Hungarian (hu.po) by Szia Tomi
  * Russian (ru.po) by Алексей Шилин

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:24 +0200

## hw-detect 1.170trisquel2

=== debian/changelog ===
hw-detect (1.170trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 07:31:38 +0000

## hw-detect 1.171

=== debian/changelog ===
hw-detect (1.171) unstable; urgency=medium

  * Before copying loose files as usual, make sure to delete any files
    belonging to firmware packages embedded in the initrd by debian-cd,
    leaving it up to the modalias-based logic to deploy those packages
    when relevant (Closes: #1106005). Right now, that's only about
    firmware-sof-signed, but we might have firmware-intel-signed as well
    later on.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Aug 2025 19:43:39 +0200

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(foreach PACKAGE, $(shell dh_listpackages), \
	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)

## hw-detect 1.171trisquel2

=== debian/changelog ===
hw-detect (1.171trisquel2) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 03 Aug 2025 12:46:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13), po-debconf, libdebian-installer4-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/hw-detect

## hw-detect 1.172

=== debian/changelog ===
hw-detect (1.172) unstable; urgency=medium

  * Team upload.

  [ D-I role ]
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)
  * [l10n]  Commit changed/added po files (from l10n-sync run at dillon)

  [ Philip Hands ]
  * accept '/usr' in firmware paths (closes: #1116709)

 -- Philip Hands <phil@hands.com>  Sat, 11 Oct 2025 21:28:39 +0200

## hw-detect 1.173

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,11 @@
 CFLAGS += `dpkg-buildflags --get CFLAGS`
 CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
 
-bindir=$(DESTDIR)/bin/
+bindir=$(DESTDIR)/usr/bin/
 hpdir=$(DESTDIR)/etc/hotplug.d
 netdir=$(DESTDIR)/etc/network
-udevdir=$(DESTDIR)/lib/udev/rules.d
-didir=$(DESTDIR)/lib/debian-installer.d
+udevdir=$(DESTDIR)/usr/lib/udev/rules.d
+didir=$(DESTDIR)/usr/lib/debian-installer.d
 fidir=$(DESTDIR)/usr/lib/finish-install.d
 sharedir=$(DESTDIR)/usr/share/hw-detect/
 postbaseinstallerdir=$(DESTDIR)/usr/lib/post-base-installer.d/

=== debian/changelog ===
hw-detect (1.173) unstable; urgency=medium

  * Team upload.

  * Change install paths, to make package usrmerge-compliant.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 25 Nov 2025 20:14:08 +0100

## hw-detect 20110505

=== debian/changelog ===
hw-detect (20110505) taranis; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 May 2011 20:31:21 +0000

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.66), pciutils-udeb
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: hw-detect, mountmedia
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector
